fop 1.1

## org.apache.fop.fo
Class OneCharIterator

    java.lang.Object
      org.apache.fop.fo.CharIterator
          org.apache.fop.fo.OneCharIterator

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Iterator

    public class OneCharIterator

extends CharIterator

Class providing an iterator for one character.

Constructor Summary
`OneCharIterator(char c)` Constructor

Method Summary
`boolean` `hasNext()`
`char` `nextChar()`

Methods inherited from class org.apache.fop.fo.CharIterator
`clone, next, remove, replaceChar`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneCharIterator

    public OneCharIterator(char c)

  Constructor

  Parameters:
    `c` - the character that this iterator should iterate.

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from class: `CharIterator`

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in class `CharIterator`
  Returns:
    true if there is another element in the collection over which to iterate (since this iterator only handles one character, this will return false if it is past that character).

### nextChar

    public char nextChar()
                  throws java.util.NoSuchElementException

  Specified by:
    `nextChar` in class `CharIterator`
  Returns:
    the next character, if there is one (since there is only one character over which to iterate, it must be the first character).
  Throws:
    `java.util.NoSuchElementException` - if past the first character

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.